#ifndef TESTPT
#define TESTPT

#include <fstream.h>

class pt {
public:
    double x, y, z;
    //pt()			    {x=0; y=0; z=0;}
    pt(double X=0, double Y=0, double Z=0)   {x=X; y=Y; z=Z;}

    pt operator= (const double A)    {x=A; y=A; z=A; return *this;}
    pt operator= (const pt p)       {x=p.x; y=p.y; z=p.z; return *this;}
    pt operator+ (const pt q)       {return pt(x+q.x, y+q.y, z+q.z);}
    pt operator- (const pt p)	    {return pt(x-p.x, y-p.y, z-p.z);}

    friend ostream& operator << (ostream &o, pt &p);
    friend ostream& operator << (ostream &o, pt *p);
};
    ostream& operator << (ostream &o, pt &p); 
    ostream& operator << (ostream &o, pt *p); 

#endif
