#ifndef MICROT
#define MICROT

#include "tubular.h"
class Dimer
{
};

class Microtubule 
{
public:

    static Microtubule* First;
    static Microtubule* Last;

    static int NoMicroTs;

    int TagNo;

    Microtubule* Next;
    Microtubule* Back;
    int CurrentArraySize;
    int NoDimers;
    Dimer **DimerPtArray;

    Microtubule(Dimer *A, Dimer *B);
    ~Microtubule();

    void Add(Dimer *D);
    void Delete(Dimer *D);

    static void CreateNewMicrotubule(Dimer *A, Dimer *B);
};

#endif
